[Pkg-javascript-commits] [node-coveralls] 313/332: Add runtestsuite
Bastien Roucariès
rouca at moszumanska.debian.org
Thu Nov 9 13:54:15 UTC 2017
This is an automated email from the git hooks/post-receive script.
rouca pushed a commit to branch master
in repository node-coveralls.
commit 523cdf3f20fb1abb8729b0d755693e358f9daf0c
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date: Fri Sep 8 00:28:23 2017 +0200
Add runtestsuite
---
debian/tests/runtestsuite | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
new file mode 100755
index 0000000..13d0474
--- /dev/null
+++ b/debian/tests/runtestsuite
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+# notice the / at end in order to load this module
+PACKAGE='coveralls'
+SEDCMD="s,(require|resolve)\s*[(]\s*'[.][.],\\1('$PACKAGE,g"
+
+tempdir=$(mktemp -d)
+trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
+tmpdir="$tempdir/node-coveralls"
+mkdir "$tmpdir"
+
+cp -r test "$tmpdir"
+cp -r fixtures "$tmpdir"
+find test -name '*.js' -print0 | \
+ xargs -0 -n1 \
+ sh -c 'set -e; echo "TESTING: $3"; sed -E "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
+cd $tmpdir
+mocha -R spec test
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-coveralls.git
More information about the Pkg-javascript-commits
mailing list